@charset "utf-8";

:root {
  --bg: #181818;
  --surface: #222222;
  --text: #eeee;
  --accent1: #ffcb05;
  --accent2: #e06c75;
  --secondary: #6fa8dc;
  --rgb-border: 255, 255, 255, 120;
}

@font-face {
  font-family: ComicMono;
  src: url(/fonts/ComicMono.ttf);
}

@font-face {
  font-family: 'M Plus Rounded 1c';
  src: url(/fonts/MPLUSRounded1c-Regular.ttf);
}

* { box-sizing: border-box; }

html, body {
  height: 100vh;
}

body {
  display: flex;
  flex-direction: column;

  max-width: 720px;
  width: 100%;
  margin: 0 auto;
  padding: 20px 20px;

  background-color: var(--bg);
  color: var(--text);
  font-family: ComicMono, 'M Plus Rounded 1c';
}

main {
  position: relative;
  max-width: 540px;
  width: 100%;
  margin: 0 auto;
  padding: 0 1rem;

  flex: 1;
}

/* Link */
a:link,
a:visited {
  color: var(--text);
  text-decoration: underline;
  text-decoration-thickness: 2px;
  text-decoration-color: var(--secondary);
  text-underline-offset: 2px;
}

/* Image */
.embedded-img {
  display: block;
  width: 20rem;
  padding-bottom: 2rem;
}

.embedded-img-large {
  display: block;
  width: 30rem;
  height: auto;
  padding-bottom: 2rem;
}

.embedded-img-maxwidth {
  display: block;
  width: 100%;
  height: auto;
  padding-bottom: 2rem;
}

section {
  padding-bottom: 2rem;
}


/* Headers */
h1 {
  color: var(--text);
  font-size: 2rem;
  padding-left: 1rem;
  margin-top: 4rem;
  margin-bottom: 2rem;
}

h1::before {
  content: "[";
  color: var(--secondary);
}

h1::after {
  content: "]";
  color: var(--secondary);
}

h1 a:link,
h1 a:visited {
  font-size: 2rem;
  color: var(--text);
}

h2 {
  font-size: 1.6rem;
  font-weight: bold;

  margin-bottom: 2rem;
}

h2::before {
  content: "# ";
  color: var(--accent2);
}

h3 {
  font-size: 1.4rem;
  font-weight: bold;

  margin-bottom: 2rem;
}

h3::before {
  content: "## ";
  color: var(--accent2);
}

h4 {
  font-size: 1.2rem;
  font-weight: bold;
  margin-bottom: 2rem;
}

h4::before {
  content: "### ";
  color: var(--accent2);
}

strong {
  text-decoration: underline;
  text-decoration-thickness: 2px;
  text-decoration-color: var(--text);
  text-underline-offset: 2px;
}

header {
  display: flex;
  justify-content: space-between;
  width: 100%;
  border-bottom: rgb(var(--rgb-border)) 1px solid;
  margin-bottom: 4rem;
}

button#change-color-button {
  font-family: ComicMono, 'M Plus Rounded 1c';
  color: var(--text);
  background-color: var(--bg);
  border: none;
  cursor: pointer;
  outline: none;
  padding: 0;
  appearance: none;
}

nav {}

nav ul {
  display: flex;
  justify-content: space-around;
}

nav ul li {
  width: 100%;
  height: 100%;
  text-align: center;
  cursor: pointer;
}

nav ul li:hover {
  background-color: var(--surface);
}

nav ul li a:link,
nav ul li a:visited {
  display: inline-block;
  color: var(--text);
  font-size: 1.4rem;
  width: 100%;
  height: 100%;
  padding: 10px 0;
}

li:hover a:link,
li:hover a:visited {
  text-decoration-color: var(--text);
}

li:active a:link,
li:active a:visited {
  text-decoration-color: var(--accent1);
}


ul.list-container {
  margin-left: 2rem;
  margin-bottom: 2rem;
}

ul.list-container li {
  position: relative;
  margin-bottom: 1.20rem;
  font-size: 1.3rem;
}

ul.list-container li::before {
  content: "";
  position: absolute;
  width: 6px;
  height: 6px;
  top: 0.4rem;
  left: -0.8rem;
  border-radius: 50%;
  background-color: var(--secondary);
}

ul.list-container li a {
  font-size: 1.3rem;
}

p {
  font-size: 1.1rem;
  line-height: 1.6;
  margin-bottom: 1.6rem;
  text-align: justify;
  word-break: break-all;
  hyphens: auto;
}

span.description {
  display: inline-block;
  font-size: 0.9rem;
  font-weight: normal;

  padding: 0.4rem 0;
  color: rgb(255 255 255 / 70%);
}

span.enhance {
  display: inline-block;
  font-size: 1rem;
  color: var(--accent2);
  padding: 0.1rem 0.5rem;
  border-radius: 0.4rem;
  background-color: var(--surface);
}

footer {
  position: relative;
  padding-bottom: 8rem;
}

small {
  font-size: 0.8rem;
}

.panels {
  display: flex;
  justify-content: space-around;
}

.panels .left-panel {
  width: 45%;
}

.panels .right-panel {
  width: 45%;
}

.done {
  text-decoration: line-through;
}

.done::after {
  display: inline-block;
  color: var(--accent2);
  content: "完了";
  margin-left: 1rem;
}


/* Animations */
@keyframes float {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-8px);
  }
}

/* Pet's Icons */
.icon-container {
  position: absolute;
  bottom: 1rem;
  right: 1rem;
}

.icon {
  width: 80px;
  height: 80px;
}

.kaputi {
  animation: float 4s ease-in-out infinite;
  animation-delay: -2s;
}

.pippi {
  animation: float 4s ease-in-out infinite;
}

/* Smartphone */
@media (max-width: 599px) {}

